Kerbal Space Program - Feedback #1200

Action group assigments are lost when re-attaching parts using symmetry
08/11/2013 09:39 PM - e-dog
Severity: Low

Assignee:
Target version:
Platform: Linux, OSX, Windows Mod Related: No
Description

What happens:
When re-attaching parts using symmetry which have some action groups manually assigned, it looks like they stay assigned in editor
(VAB/SPH), but actually only one part has action groups assigned after re-attachment.

How to reproduce:

e Start a new ship in the editor

Pick some pod to have control and add a fuel tank or something to allow radial attachment with symmetry.
Take a part that has actions which can be manually assigned to action groups, like an air intake.

Enable symmetry (2 or more is enough) and attach that part to your vessel.

Go to action groups tab and assign "toggle intake" (or any other action) to first custom action group.

If you launch the ship now, all intakes will toggle with the action group (can be checked by right-clicking them).
Detach the intake (all symmetry counterparts will detach too).

¢ Re-attach it back, using symmetry again.

e Launch.

e Press 1 to use the action group.

¢ Check intakes by right-clicking them. Only one will be toggled by the action group.

Notes:

e This bug exists since 0.19 at least (I started playing at that version).

¢ Only happens with manually assigned actions, the default ones (like lights or landing legs) stay assigned.

¢ Also happens when the part with actions is re-attached indirectly, as a part of subassembly (think intakes/engines attached to
wing when re-attaching wings).

¢ Very annoying with SSTO planes and solar panels.

Windows 7 64-bit, but I'm pretty sure it's system independent, since it's a logic bug.

Workaround:
After re-attaching, in action groups tab remove all relevant actions and reassign them again. Each time you reattach part with
symmetry which use action groups.

History

#1 - 08/21/2013 02:40 AM - Cesrate

Yes it's definitely a bug. I've noticed this before.

#2 - 11/14/2013 11:52 PM - waltermundt

I ran into this too. No warranty, but | wrote a Python script to auto-fix save files affected by this bug at [[https:/gist.github.com/codemage/7470607]]

The script requires Python 3.3 from http://www.python.org/download/ to run, if anyone else wants to try it.

#3 - 02/22/2014 08:46 AM - Ted
- Tracker changed from Bug to Feedback

Behaviour is not unexpected, thus this is a feedback issue not a bug.
#4 - 04/04/2014 07:15 PM - Claw

If this is intended behavior, then | would add to the suggestion that the action groups for that part be cleared. The way it works now, the part that the
user places keeps the action group, but all others reflected with symmetry do not link to the action group.

I would think it should be all or none, instead of just one.

With the current implementation, if you look at the action group tab it looks programmed correctly. Then you get in flight, activate the action group,
and only one part functions correctly. At least if it's completely clean, you know you need to reprogram it.

#5 - 09/27/2014 02:03 PM - Kirk

The VAB or SPH lists the symmetric partner as having the action group assigned to it when you select it, while that is actually not the case.

In fact, to fix it you have to unassign the action group from the part and its partner, and then reassign the action group to the part and its partner,
resulting in a visually indistinct situation although the action group is now assigned to both parts again.

See also #3220 (duplicate).

#6 - 01/31/2015 08:13 PM - smcpeak
- File action-group-bug.png added

Ted, this is a bug.

Look at the attached screenshot. The '3' action group was assigned to all three intakes, including the two symmetric ones on the port and starboard
side. The port intake was placed directly, the starboard intake was placed by symmetry. At that time, pressing '3' toggled all of them. Then, |
detached the entire tank and wing assembly, moved it a little to adjust the center of lift, and reattached it; symmetry put the same assembly on the
starboard side again. The action group hover feedback still shows both side intakes as associated with '3', but when this plane is launched, the
starboard intake will not be toggled.

This bug is quite annoying because every minor adjustment requires clearing and redefining all action group actions, since otherwise the asymmetric
action will put the plane into a flat spin in the upper atmosphere.

If this truly is intended/expected behavior of the action group function, then certainly the hover feedback should be changed to show what is really
affected by each action group. But that would be crazy behavior; detaching and reattaching an assembly at the same place with same symmetry
should leave the plane as it was before, and does in all other respects.

BTW, screenshot is with version 0.90.

#8 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#9 - 07/17/2016 10:23 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

Fixed. 1.1.3
